# $Revision: 1.15 $, $Date: 2007/01/05 16:51:45 $
#
# Conditional build:
%bcond_with	tests	# perform "./Build test"
			# (tests fail because our perl doesn't contain
			# File::Spec::Win32 and other "foreign" modules)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Path
%define		pnam	Class
Summary:	Path::Class - cross-platform path specification manipulation
Summary(pl):	Path::Class - wieloplatformowe operacje na ciekach plikw
Name:		perl-Path-Class
Version:	0.16
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/K/KW/KWILLIAMS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3a2416d2f5ed1a8a98525baea5c25e1c
BuildRequires:	perl-Module-Build >= 0.20
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Path::Class is a module for manipulation of file and directory
specifications (strings describing their locations, like
'/home/ken/foo.txt' or 'C:\Windows\Foo.txt') in a cross-platform
manner. It supports pretty much every platform Perl runs on, including
Unix, Windows, Mac, VMS, Epoc, Cygwin, OS/2, and NetWare.

The well-known module File::Spec also provides this service, but it's
sort of awkward to use well, so people sometimes avoid it, or use it
in a way that won't actually work properly on platforms significantly
different than the ones they've tested their code on.

%description -l pl
Path::Class to modu do operacji na specifikacjach plikw i katalogw
(acuchach opisujcych ich pooenie, takich jak '/home/ken/foo.txt'
czy 'C:\Windows\Foo.txt') w sposb wieloplatformowy. Obsuguje
wikszo platform na ktrych dziaa Perl, w tym: Unix, Windows, Mac,
VMS, Epoc, Cygwin, OS/2, NetWare.

Podobne operacje s udostpniane przez dobrze znany modu File::Spec,
ale jest on nieco niewygodny, wic ludzie czasem go unikaj lub
uywaj w sposb nie dziaajcy poprawnie na platformach znaczco
rnych od tych, na ktrych testuj kod.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT

./Build
%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Path
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Path-Class.spec,v $
Revision 1.15  2007/01/05 16:51:45  wrobell
- ver. 0.16

Revision 1.14  2006/05/25 10:25:55  ankry
- release down to 1

Revision 1.13  2006/05/25 09:14:15  blaass
- up to 0.15, rel 2

Revision 1.12  2005/07/27 21:55:12  radek
- version 0.12

Revision 1.11  2005/01/07 12:19:00  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.10  2005/01/03 13:45:50  adamg
- updated to 0.08

Revision 1.9  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.8  2004/11/03 22:30:39  paladine
- formatting

Revision 1.7  2004/08/08 19:26:54  adamg
- updated to 0.07

Revision 1.6  2004/05/13 20:05:59  adamg
- updated to 0.06

Revision 1.5  2004/05/07 19:56:03  ankry
- license unification

Revision 1.4  2004/04/15 09:09:48  ankry
- cosmetics

Revision 1.3  2004/03/28 14:59:46  adamg
- updated to 0.05

Revision 1.2  2003/12/14 14:00:25  qboosh
- pl

Revision 1.1  2003/12/12 14:57:51  migo
- initial revision
